package book.actions;

import book.IPhoneBookAction;
import book.RecordsBook;
import book.Record;

import javax.servlet.http.HttpServletRequest;

public class EditAction implements IPhoneBookAction {
    private RecordsBook _recordsBook = null;

    public EditAction(RecordsBook aRecordsBook) {
        _recordsBook = aRecordsBook;
    }

    public String processAJAX(HttpServletRequest aRequest) {
        String oldPhone = aRequest.getParameter("old");
        String newPhone = aRequest.getParameter("phone");
        String name = aRequest.getParameter("name");
        String comment = aRequest.getParameter("comment");

        _recordsBook.editRecord(oldPhone, new Record(newPhone, name, comment));

        return null;
    }
}