package book.actions;

import book.IPhoneBookAction;
import book.RecordsBook;
import book.Record;

import javax.servlet.http.HttpServletRequest;

public class LoadTableAction implements IPhoneBookAction {
    private RecordsBook _recordsBook = null;

    public LoadTableAction(RecordsBook aRecordsBook) {
        _recordsBook = aRecordsBook;
    }

    public String processAJAX(HttpServletRequest aRequest) {
        StringBuilder result = new StringBuilder();

        result.append("<table>");

        for (Record record : _recordsBook.getAllRecords()) {
            result.append("<tr id=\"").append(record.getPhone()).append("\">");
            result.append("<td>").append(record.getPhone()).append("</td>");
            result.append("<td>").append(record.getName()).append("</td>");
            result.append("<td>").append(record.getComment()).append("</td>");
            result.append("<td><a href = \"#\" onclick = \"remove('").
                    append(record.getPhone()).append("'); return false;\">Remove</a> ").
                    append("<a href = \"#\" onclick = \"startEdit('").
                    append(record.getPhone()).append("'); return false;\">Edit</a></td>");
            result.append("</tr>");
        }

        result.append("</table>");

        return result.toString();
    }
}